<?php
define('EmpireCMSAdmin','1');
require("../../class/connect.php");
require("../../class/db_sql.php");
require("../../class/functions.php");
require "../".LoadLang("pub/fun.php");
$link=db_connect();
$empire=new mysqlquery();
$editor=1;
//驗證用戶
$lur=is_login();
$logininid=$lur['userid'];
$loginin=$lur['username'];
$loginrnd=$lur['rnd'];
$loginlevel=$lur['groupid'];
$loginadminstyleid=$lur['adminstyleid'];
//驗證權限
CheckLevel($logininid,$loginin,$classid,"shopdd");

//訂單設定
function SetShopDd($ddid,$doing,$userid,$username){
	global $empire,$dbtbpre;
	//驗證權限
	CheckLevel($userid,$username,$classid,"shopdd");
	$count=count($ddid);
	if(empty($count))
	{
		printerror("NotSetDdid","history.go(-1)");
	}
	$add='';
	for($i=0;$i<$count;$i++)
	{
		$add.="ddid='".intval($ddid[$i])."' or ";
    }
	$add=substr($add,0,strlen($add)-4);
	//已付費
	if($doing==1)
	{
		$sql=$empire->query("update {$dbtbpre}enewsshopdd set haveprice=1 where ".$add);
		$mess="SetHavepriceSuccess";
    }
	//已發貨
	elseif($doing==2)
	{
		$sql=$empire->query("update {$dbtbpre}enewsshopdd set outproduct=1 where ".$add);
		$mess="SetOutProductSuccess";
    }
	//確認
	elseif($doing==3)
	{
		$sql=$empire->query("update {$dbtbpre}enewsshopdd set checked=1 where ".$add);
		$mess="SetCheckedSuccess";
    }
	//取消
	elseif($doing==4)
	{
		$sql=$empire->query("update {$dbtbpre}enewsshopdd set checked=0 where ".$add);
		$mess="SetNoCheckedSuccess";
    }
	//刪除
	elseif($doing==5)
	{
		$sql=$empire->query("delete from {$dbtbpre}enewsshopdd where ".$add);
		$mess="DelDdSuccess";
    }
	else
	{}
	if($sql)
	{
		//操作日誌
		insert_dolog("doing=".$doing);
		printerror($mess,"ListDd.php");
	}
	else
	{printerror("DbError","history.go(-1)");}
}

$enews=$_POST['enews'];
if(empty($enews))
{$enews=$_GET['enews'];}
if($enews=="SetShopDd")
{
	$ddid=$_POST['ddid'];
	$doing=$_POST['doing'];
	SetShopDd($ddid,$doing,$logininid,$loginin);
}
else
{}
$page=(int)$_GET['page'];
$start=0;
$line=25;//每頁顯示條數
$page_line=18;//每頁顯示鏈接數
$offset=$page*$line;//總偏移量
$totalquery="select count(*) as total from {$dbtbpre}enewsshopdd";
$query="select ddid,ddno,ddtime,userid,username,outproduct,haveprice,checked,truename,psid,psname,pstotal,alltotal,payfsid,payfsname,payby,alltotalfen,fp,fptotal from {$dbtbpre}enewsshopdd";
$add="";
//搜索
$sear=$_GET['sear'];
if($sear)
{
	$keyboard=$_GET['keyboard'];
	$keyboard=RepPostVar2($keyboard);
	if($keyboard)
	{
		$show=$_GET['show'];
		if($show==1)//搜索訂單號
		{
			$add=" and (ddno like '%$keyboard%')";
		}
		elseif($show==2)//用戶名
		{
			$add=" and (username like '%$keyboard%')";
		}
		elseif($show==3)
		{
			$add=" and (truename like '%$keyboard%')";
		}
		elseif($show==4)
		{
			$add=" and (g_truename like '%$keyboard%')";
		}
		else//不限
		{
			$add=" and (ddno like '%$keyboard%' or username like '%$keyboard%' or truename like '%$keyboard%' or g_truename like '%$keyboard%')";
		}
	}
	//狀態
	$checked=$_GET['checked'];
	if($checked==1)//確認
	{
		$add.=" and checked=1";
	}
	elseif($checked==2)//未確認
	{
		$add.=" and checked=0";
	}
	else
	{}
	//是否付款
	$haveprice=$_GET['haveprice'];
	if($haveprice==1)//已付款
	{
		$add.=" and haveprice=1";
	}
	elseif($haveprice==2)
	{
		$add.=" and haveprice=0";
	}
	else
	{}
	//是否發貨
	$outproduct=$_GET['outproduct'];
	if($outproduct==1)//已發貨
	{
		$add.=" and outproduct=1";
	}
	elseif($outproduct==2)
	{
		$add.=" and outproduct=0";
	}
	else
	{}
	//時間
	$starttime=RepPostVar($_GET['starttime']);
	$endtime=RepPostVar($_GET['endtime']);
	if($endtime!="")
	{
		$ostarttime=$starttime." 00:00:00";
		$oendtime=$endtime." 23:59:59";
		$add.=" and ddtime>='$ostarttime' and ddtime<='$oendtime'";
	}
	if($add)
	{
		$add=" where ddid<>0".$add;
	}
	$search="&sear=1&keyboard=$keyboard&show=$show&checked=$checked&outproduct=$outproduct&haveprice=$haveprice&starttime=$starttime&endtime=$endtime";
}
$totalquery.=$add;
$query.=$add;
$num=$empire->gettotal($totalquery);//取得總條數
$query=$query." order by ddid desc limit $offset,$line";
$sql=$empire->query($query);
$returnpage=page2($num,$line,$page_line,$start,$page,$search);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
<title>管理訂單</title>
<script>
function CheckAll(form)
  {
  for (var i=0;i<form.elements.length;i++)
    {
    var e = form.elements[i];
    if (e.name != 'chkall')
       e.checked = form.chkall.checked;
    }
  }
</script>
<script src="../ecmseditor/fieldfile/setday.js"></script>
</head>

<body>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td height="25">位置：<a href="ListDd.php">管理訂單</a></td>
  </tr>
</table>

  
<form name="form1" method="get" action="ListDd.php">
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
    <tr> 
      <td>搜索: <input name="keyboard" type="text" id="keyboard" value="<?=$keyboard?>"> 
        <select name="show" id="show">
          <option value="0">不限範圍</option>
          <option value="1">訂單號</option>
          <option value="2">用戶名</option>
		  <option value="3">訂貨人姓名</option>
		  <option value="4">收貨人姓名</option>
        </select> 
        <select name="checked" id="checked">
          <option value="0">訂單狀態</option>
          <option value="1">已確認</option>
          <option value="2">未確認</option>
        </select> 
        <select name="outproduct" id="outproduct">
          <option value="0">是否發貨</option>
          <option value="1">已發貨</option>
          <option value="2">未發貨</option>
        </select>
        <select name="haveprice" id="haveprice">
          <option value="0">是否付費</option>
          <option value="1">已付款</option>
          <option value="2">未付款</option>
        </select> </td>
    </tr>
    <tr>
      <td>時間:從 
        <input name="starttime" type="text" id="starttime2" value="<?=$starttime?>" size="12" onclick="setday(this)">
        到 
        <input name="endtime" type="text" id="endtime2" value="<?=$endtime?>" size="12" onclick="setday(this)">
        止的訂單 
        <input type="submit" name="Submit6" value="搜索"> <input name="sear" type="hidden" id="sear2" value="1"></td>
    </tr>
  </table>
</form>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class=tableborder>
  <form name="listdd" method="post" action="ListDd.php" onsubmit="return confirm('確認要操作?');">
    <input type=hidden name=enews value=SetShopDd>
    <input type=hidden name=doing value=0>
    <tr class=header> 
      <td width="5%" height="23"> <div align="center">選擇</div></td>
      <td width="19%"><div align="center">編號(點擊查看)</div></td>
      <td width="21%"><div align="center">訂購時間</div></td>
      <td width="13%"><div align="center">訂購者</div></td>
      <td width="11%"><div align="center">總金額</div></td>
      <td width="12%"><div align="center">付費方式</div></td>
      <td width="19%"><div align="center">狀態</div></td>
    </tr>
    <?
	while($r=$empire->fetch($sql))
	{
		if(empty($r[userid]))//非會員
		{
			$username="<font color=cccccc>".$r[truename]."</font>";
		}
		else
		{
			$username="<a href='../member/AddMember.php?enews=EditMember&userid=".$r[userid]."' target=_blank>".$r[username]."</a>";
		}
		//點數購買
		$total=0;
		if($r[payby]==1)
		{
			$total=$r[alltotalfen]+$r[pstotal];
			$mytotal="<a href='#ecms' title='商品額(".$r[alltotalfen].")+運費(".$r[pstotal].")'>".$total." 點</a>";
		}
		else
		{
			//發票
			$fpa="";
			if($r[fp])
			{
				$fpa="+發票費(".$r[fptotal].")";
			}
			$total=$r[alltotal]+$r[pstotal]+$r[fptotal];
			$mytotal="<a href='#ecms' title='商品額(".$r[alltotal].")+運費(".$r[pstotal].")".$fpa."'>".$total." 元</a>";
		}
		//支付方式
		if($r[payby]==1)
		{
			$payfsname=$r[payfsname]."<br>(點數購買)";
		}
		elseif($r[payby]==2)
		{
			$payfsname=$r[payfsname]."<br>(餘額購買)";
		}
		else
		{
			$payfsname=$r[payfsname];
		}
		//狀態
		if($r[checked])
		{
			$ch="已確認";
		}
		else
		{
			$ch="<font color=red>未確認</font>";
		}
		if($r[outproduct])
		{
			$ou="已發貨";
		}
		else
		{
			$ou="<font color=red>未發貨</font>";
		}
		if($r[haveprice])
		{
			$ha="已付款";
		}
		else
		{
			$ha="<font color=red>未付款</font>";
		}
	?>
    <tr bgcolor="#FFFFFF" onmouseout="this.style.backgroundColor='#ffffff'" onmouseover="this.style.backgroundColor='#C3EFFF'"> 
      <td height="25"> <div align="center"> 
          <input name="ddid[]" type="checkbox" id="ddid[]" value="<?=$r[ddid]?>">
        </div></td>
      <td> <div align="center"><a href="#ecms" onclick="window.open('ShowDd.php?ddid=<?=$r[ddid]?>','','width=700,height=600,scrollbars=yes,resizable=yes');">
          <?=$r[ddno]?>
          </a></div></td>
      <td> <div align="center">
          <?=$r[ddtime]?>
        </div></td>
      <td> <div align="center">
          <?=$username?>
        </div></td>
      <td> <div align="center">
          <?=$mytotal?>
        </div></td>
      <td><div align="center">
          <?=$payfsname?>
        </div></td>
      <td> <div align="center"><strong><?=$ha?></strong>/<strong><?=$ou?></strong>/<strong><?=$ch?></strong></div></td>
    </tr>
    <?
	}
	?>
    <tr bgcolor="#FFFFFF"> 
      <td> <div align="center"> 
          <input type=checkbox name=chkall value=on onClick='CheckAll(this.form)'>
        </div></td>
      <td colspan="6"><input type="submit" name="Submit" value="已到帳" onClick="document.listdd.doing.value='1';"> 
        &nbsp; <input type="submit" name="Submit2" value="已發貨" onClick="document.listdd.doing.value='2';"> 
        &nbsp; <input type="submit" name="Submit3" value="確認" onClick="document.listdd.doing.value='3';"> 
        &nbsp; <input type="submit" name="Submit4" value="取消" onClick="document.listdd.doing.value='4';"> 
        &nbsp; <input type="submit" name="Submit5" value="刪除" onClick="document.listdd.doing.value='5';"> 
      </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td> <div align="center"></div></td>
      <td colspan="6"> <div align="left">&nbsp;
          <?=$returnpage?>
        </div></td>
    </tr>
    <tr bgcolor="#FFFFFF">
      <td>&nbsp;</td>
      <td colspan="6"><font color="#666666">訂購者為灰色,則為非會員購買</font></td>
    </tr>
  </form>
</table>

</body>
</html>
<?
db_close();
$empire=null;
?>
